package com.zcloud.service.majordangersource.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.majordangersource.MajordangersourceDisposalMapper;
import com.zcloud.service.majordangersource.MajordangersourceDisposalService;
import com.zcloud.service.system.ImgFilesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：重大危险源应急处置
 * 作者：luoxiaobao
 * 时间：2022-05-04
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class MajordangersourceDisposalServiceImpl implements MajordangersourceDisposalService{

	@Autowired
	private MajordangersourceDisposalMapper majordangersourcedisposalMapper;

	@Autowired
	private ImgFilesService imgFilesService;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		majordangersourcedisposalMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		majordangersourcedisposalMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		majordangersourcedisposalMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return majordangersourcedisposalMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return majordangersourcedisposalMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return majordangersourcedisposalMapper.findById(pd);
	}

	@Override
	public PageData showById(PageData pd) throws Exception {
		PageData data =  majordangersourcedisposalMapper.findById(pd);
		PageData i = new PageData();
		i.put("FOREIGN_KEY",pd.getString("MAJORDANGERSOURCE_DISPOSAL_ID"));
		i.put("TYPE",20);
		data.put("disposalBeforeFile", imgFilesService.listAll(i));
		i = new PageData();
		i.put("FOREIGN_KEY",pd.getString("MAJORDANGERSOURCE_DISPOSAL_ID"));
		i.put("TYPE",21);
		data.put("disposalAfterFile", imgFilesService.listAll(i));
		return data;
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		majordangersourcedisposalMapper.deleteAll(pd);
	}

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findByIds(PageData pd) throws Exception {
		return majordangersourcedisposalMapper.findByIds(pd);
	}

	@Override
	public void upLevel(PageData pd) throws Exception {
		majordangersourcedisposalMapper.upLevel(pd);
	}

	@Override
	public List<PageData> statisticsGroupMajordangersource(PageData pd) throws Exception {
		return majordangersourcedisposalMapper.statisticsGroupMajordangersource(pd);
	}

	@Override
	public PageData statisticsDisposal(PageData pd) throws Exception {
		return majordangersourcedisposalMapper.statisticsDisposal(pd);
	}

	@Override
	public List<PageData> statisticsGroupDateByState(PageData pd) throws Exception {
		return majordangersourcedisposalMapper.statisticsGroupDateByState(pd);
	}
}

